Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 605281 - [abrt] crash in thunderbird-3.0.4-2.fc12 @ nsSSLStatus::Write?
[abrt] crash in thunderbird-3.0.4-2.fc12 @ nsSSLStatus::Write?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Elio Maldonado Batiz
Fedora Extras Quality Assurance
abrt_hash:f594e52eb4d2d7899063abdaf97...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-17 11:01 EDT by Jesse Larrew
Modified: 2010-12-03 08:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:49:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (73.30 KB, text/plain)
2010-06-17 11:01 EDT, Jesse Larrew
no flags Details

  None (edit)
Description Jesse Larrew 2010-06-17 11:01:07 EDT
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/thunderbird-3.0/thunderbird-bin
comment: While retrieving IMAP messages, Thunderbird will sometimes SEGFAULT.
component: thunderbird
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib/thunderbird-3.0/thunderbird-bin
global_uuid: f594e52eb4d2d7899063abdaf972443d2585e72e
kernel: 2.6.32.14-127.fc12.i686.PAE
package: thunderbird-3.0.4-2.fc12
rating: 4
reason: Process /usr/lib/thunderbird-3.0/thunderbird-bin was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. Retrieve IMAP messages.
2. BOOM!
3.
Comment 1 Jesse Larrew 2010-06-17 11:01:09 EDT
Created attachment 424847 [details]
File: backtrace
Comment 2 Jan Horak 2010-06-17 11:25:06 EDT
Looks like crash in nss:

nsSSLStatus.cpp:169
  NS_ENSURE_SUCCESS(rv, rv);
  rv = stream->WriteStringZ(mCipherName.get()); <- mCipherName.get() is NULL
  NS_ENSURE_SUCCESS(rv, rv);

crash in nsBinaryStream.cpp:
nsBinaryOutputStream::WriteStringZ(const char *aString)
{
    PRUint32 length;
    nsresult rv;

    length = strlen(aString);  << strlen crash if aString is NULL.

Reassigning to nss.
Comment 3 Fedora Admin XMLRPC Client 2010-09-07 16:54:43 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Bug Zapper 2010-11-03 09:06:57 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 08:49:17 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.